"use strict";
import ApiMqttIn from "./api-mqtt-in.js";
import { mqtt_tree, sendMessage } from "./mqtthat.js";

class ApiMqttOut {

    static getStatusLuci = () => {
        const topic = "to/all";
        const message = "{request:status}";
        sendMessage(topic, message);
    }

    static setLuciStato = luce => {
        // FIXME should it be luce.in?
        const topic = "to/"+mqtt_tree+"gpio/"+luce.out.toUpperCase();
        const message = `{cmd:${luce.stato === false ? '0' : '1'}}`;
        ApiMqttIn.outForToggleLuciStato = luce;
        sendMessage(topic, message);
    }
}

export default ApiMqttOut;